inv_piola< T >

## Public Types

typedef T | float_type
typedef point_basic< T > | value_type
typedef value_type::size_type | size_type

## Public Member Functions

| inv_piola ()
template<class M >
void | reset (const geo_basic< T, M > &omega, const reference_element &hat_K, const std::vector< size_t > &dis_inod)
void | set_x (const value_type &x1)
value_type | initial () const
value_type | residue (const value_type &hat_xh) const
void | update_derivative (const value_type &hat_xh) const
value_type | derivative_solve (const value_type &r) const
value_type | derivative_trans_mult (const value_type &r) const
float_type | space_norm (const value_type &hat_xh) const
float_type | dual_space_norm (const value_type &r) const
float_type | duality_product (const value_type &r, const value_type &s) const

## Protected Attributes

size_t | dim
size_t | map_dim
basis_basic< T > | b
reference_element | hat_K
std::vector< value_type > | node
value_type | x0
Eigen::Matrix< float_type, Eigen::Dynamic, 1 > | value
Eigen::Matrix< value_type, Eigen::Dynamic, 1 > | grad_value
tensor_basic< T > | DF
tensor_basic< T > | inv_DF

## Detailed Description

### template<class T>
class rheolef::inv_piola< T >

Definition at line 33 of file inv_piola.h.

## Member Typedef Documentation

## float_type

typedef T float_type

Definition at line 35 of file inv_piola.h.

## value_type

typedef point_basic<T> value_type

Definition at line 36 of file inv_piola.h.

## size_type

typedef value_type::size_type size_type

Definition at line 37 of file inv_piola.h.

## Constructor & Destructor Documentation

## inv_piola()

inv_piola

Definition at line 61 of file inv_piola.h.

## Member Function Documentation

## reset()

void reset | ( | const geo_basic< T, M > & | omega,
|  | const reference_element & | hat_K,
|  | const std::vector< size_t > & | dis_inod
| ) |  |

Definition at line 77 of file inv_piola.h.

## set_x()

void set_x | ( | const value_type & | x1 | ) |

Definition at line 41 of file inv_piola.h.

## initial()

inv_piola< T >::value_type initial

Definition at line 89 of file inv_piola.h.

## residue()

inv_piola< T >::value_type residue | ( | const value_type & | hat_xh | ) | const

Definition at line 102 of file inv_piola.h.

## update_derivative()

void update_derivative | ( | const value_type & | hat_xh | ) | const

Definition at line 112 of file inv_piola.h.

## derivative_solve()

inv_piola< T >::value_type derivative_solve | ( | const value_type & | r | ) | const

Definition at line 122 of file inv_piola.h.

## derivative_trans_mult()

inv_piola< T >::value_type derivative_trans_mult | ( | const value_type & | r | ) | const

Definition at line 142 of file inv_piola.h.

## space_norm()

inv_piola< T >::float_type space_norm | ( | const value_type & | hat_xh | ) | const

Definition at line 132 of file inv_piola.h.

## dual_space_norm()

inv_piola< T >::float_type dual_space_norm | ( | const value_type & | r | ) | const

Definition at line 127 of file inv_piola.h.

## duality_product()

inv_piola< T >::float_type duality_product | ( | const value_type & | r,
|  | const value_type & | s
| ) |  | const

Definition at line 137 of file inv_piola.h.

## Member Data Documentation

## dim

size_t dim

protected

Definition at line 51 of file inv_piola.h.

## map_dim

size_t map_dim

protected

Definition at line 51 of file inv_piola.h.

## b

basis_basic<T> b

protected

Definition at line 52 of file inv_piola.h.

## hat_K

reference_element hat_K

protected

Definition at line 53 of file inv_piola.h.

## node

std::vector<value_type> node

protected

Definition at line 54 of file inv_piola.h.

## x0

value_type x0

protected

Definition at line 55 of file inv_piola.h.

## value

Eigen::Matrix<float_type,Eigen::Dynamic,1> value

mutable protected

Definition at line 56 of file inv_piola.h.

## grad_value

Eigen::Matrix<value_type,Eigen::Dynamic,1> grad_value

mutable protected

Definition at line 57 of file inv_piola.h.

## DF

tensor_basic<T> DF

mutable protected

Definition at line 58 of file inv_piola.h.

## inv_DF

tensor_basic<T> inv_DF

protected

Definition at line 58 of file inv_piola.h.

The documentation for this class was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/inv_piola.h